fsg_lextree_s Struct Reference

Collection of lextrees for an FSG. More...

`#include <fsg_lextree.h>`

## Data Fields

fsg_model_t * | fsg
| The fsg for which this lextree is built.
hmm_context_t * | ctx
| HMM context structure.
dict_t * | dict
| Pronunciation dictionary for this FSG.
dict2pid_t * | d2p
| Context-dependent phone mappings for this FSG.
bin_mdef_t * | mdef
| Model definition (triphone mappings).
int16 ** | lc
| Left context triphone mappings for FSG.
int16 ** | rc
| Right context triphone mappings for FSG.
fsg_pnode_t ** | root
fsg_pnode_t ** | alloc_head
int32 | n_pnode
int32 | wip
int32 | pip

## Detailed Description

Collection of lextrees for an FSG.

Definition at line 180 of file fsg_lextree.h.

## Field Documentation

## alloc_head

fsg_pnode_t** fsg_lextree_s::alloc_head

Definition at line 211 of file fsg_lextree.h.

## ctx

hmm_context_t* fsg_lextree_s::ctx

HMM context structure.

Definition at line 182 of file fsg_lextree.h.

Referenced by fsg_lextree_init().

## d2p

dict2pid_t* fsg_lextree_s::d2p

Context-dependent phone mappings for this FSG.

Definition at line 184 of file fsg_lextree.h.

Referenced by fsg_lextree_init().

## dict

dict_t* fsg_lextree_s::dict

Pronunciation dictionary for this FSG.

Definition at line 183 of file fsg_lextree.h.

Referenced by fsg_lextree_init().

## fsg

fsg_model_t* fsg_lextree_s::fsg

The fsg for which this lextree is built.

Definition at line 181 of file fsg_lextree.h.

Referenced by fsg_lextree_dump(), fsg_lextree_free(), and fsg_lextree_init().

## lc

int16** fsg_lextree_s::lc

Left context triphone mappings for FSG.

Definition at line 204 of file fsg_lextree.h.

Referenced by fsg_lextree_free().

## mdef

bin_mdef_t* fsg_lextree_s::mdef

Model definition (triphone mappings).

Definition at line 185 of file fsg_lextree.h.

Referenced by fsg_lextree_init().

## n_pnode

int32 fsg_lextree_s::n_pnode

Definition at line 213 of file fsg_lextree.h.

## pip

int32 fsg_lextree_s::pip

Definition at line 215 of file fsg_lextree.h.

## rc

int16** fsg_lextree_s::rc

Right context triphone mappings for FSG.

Definition at line 205 of file fsg_lextree.h.

Referenced by fsg_lextree_free().

## root

fsg_pnode_t** fsg_lextree_s::root

Definition at line 207 of file fsg_lextree.h.

## wip

int32 fsg_lextree_s::wip

Definition at line 214 of file fsg_lextree.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/fsg_lextree.h